Bug 241067 - devel/spin: restore, update to 6.5.0
Summary: devel/spin: restore, update to 6.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-04 20:15 UTC by Greg V
Modified: 2019-10-06 23:23 UTC (History)
1 user (show)

See Also:


Attachments
spin.patch (4.03 KB, patch)
2019-10-04 20:15 UTC, Greg V
no flags Details | Diff
spin-last.patch (4.17 KB, patch)
2019-10-06 10:48 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2019-10-04 20:15:50 UTC
Created attachment 208103 [details]
spin.patch

(and take maintainership, why not)

it never actually needed gcc, "gcc" was just a hardcoded compiler name instead of "cc".
Comment 1 Koichiro Iwao freebsd_committer 2019-10-06 10:03:16 UTC
Can you submit a diff to devel/spin port just before the port removed?

This command should restore the port before deletion:

cd /path/to/your/ports/repo/devel
svn cp 'svn+ssh://repo.freebsd.org/ports/head/devel/spin@{2019-09-04}' spin
Comment 2 Greg V 2019-10-06 10:48:16 UTC
Created attachment 208133 [details]
spin-last.patch

here.
Comment 3 commit-hook freebsd_committer 2019-10-06 16:04:56 UTC
A commit references this bug:

Author: meta
Date: Sun Oct  6 16:04:09 UTC 2019
New revision: 513892
URL: https://svnweb.freebsd.org/changeset/ports/513892

Log:
  devel/spin: Ressurect the port & assign to submitter

  it never actually needed gcc, "gcc" was just a hardcoded compiler name
  instead of "cc".

  While here,
  - Upstream switched to GitHub
  - Update to 6.5.0

  PR:		241067
  Submitted by:	Greg V <greg@unrelenting.technology>

Changes:
  head/devel/spin/
  head/devel/spin/Makefile
  head/devel/spin/distinfo
  head/devel/spin/files/
  head/devel/spin/files/patch-Src_main.c
  head/devel/spin/files/patch-Src_spin.y
Comment 4 Koichiro Iwao freebsd_committer 2019-10-06 16:05:53 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2019-10-06 23:23:27 UTC
A commit references this bug:

Author: meta
Date: Sun Oct  6 23:22:38 UTC 2019
New revision: 513919
URL: https://svnweb.freebsd.org/changeset/ports/513919

Log:
  Re-add devel/spin to Makefile

  forgotten in r513892. Also MOVED entry should be removed but linimon did it
  already at r513901.

  PR:		241067
  Reported by:	tobik, linimon

Changes:
  head/devel/Makefile